
//Pin 8 is used for the TTL IRIG Input
int pin=8;

void setup() {
  //Initialize serial and wait for port to open:
  Serial.begin(9600);
  while (!Serial) {
    ; // wait for serial port to connect. Needed for Leonardo only
  }

  pinMode(pin,INPUT);
  // prints title with ending line break
  Serial.println("IRIG data capture");
}

void loop() {
  // put your main code here, to run repeatedly:
  unsigned long duration;
  
  duration=pulseIn(pin,HIGH,1000000);
  //Serial.println(duration);
  if (duration>1700 && duration<2300)
  {
    //2 ms
    Serial.print("0");
  }
  
  if (duration>4700 && duration<5300)
  {
    //5 ms
    Serial.print("1");
  }
  
  if (duration>7700 && duration<8300)
  {
    //8 ms
    Serial.println("M");
  }
  
  
  //delay(1000);

}
